com.taosdata.jdbc.ws

## Class FutureResponse

- java.lang.Object
- - com.taosdata.jdbc.ws.FutureResponse

All Implemented Interfaces:
  Comparable<FutureResponse>

    public class FutureResponse
    extends Object
    implements Comparable<FutureResponse>

### Constructor Summary

Constructors
Constructor and Description
`FutureResponse(String action, Long id, CompletableFuture<Response> future)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(FutureResponse fr)`
`String` `getAction()`
`CompletableFuture<Response>` `getFuture()`
`Long` `getId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FutureResponse

    public FutureResponse(String action,
                          Long id,
                          CompletableFuture<Response> future)

### Method Detail

#### getAction

    public String getAction()

#### getId

    public Long getId()

#### getFuture

    public CompletableFuture<Response> getFuture()

#### compareTo

    public int compareTo(FutureResponse fr)

Specified by:
  `compareTo` in interface `Comparable<FutureResponse>`